org.springframework.batch.core.configuration.annotation

## Class DefaultBatchConfigurer

- java.lang.Object
- - org.springframework.batch.core.configuration.annotation.DefaultBatchConfigurer

- All Implemented Interfaces:
    BatchConfigurer

      @Component
      public class DefaultBatchConfigurer
      extends java.lang.Object
      implements BatchConfigurer

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DefaultBatchConfigurer()`
    `` | `DefaultBatchConfigurer(javax.sql.DataSource dataSource)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected JobRepository` | `createJobRepository()`
    `JobExplorer` | `getJobExplorer()`
    `JobLauncher` | `getJobLauncher()`
    `JobRepository` | `getJobRepository()`
    `org.springframework.transaction.PlatformTransactionManager` | `getTransactionManager()`
    `void` | `initialize()`
    `void` | `setDataSource(javax.sql.DataSource dataSource)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultBatchConfigurer

          protected DefaultBatchConfigurer()

    - #### DefaultBatchConfigurer

          public DefaultBatchConfigurer(javax.sql.DataSource dataSource)

  - ### Method Detail

    - #### setDataSource

          @Autowired(required=false)
          public void setDataSource(javax.sql.DataSource dataSource)

    - #### getJobRepository

          public JobRepository getJobRepository()

      Specified by:
        `getJobRepository` in interface `BatchConfigurer`

    - #### getTransactionManager

          public org.springframework.transaction.PlatformTransactionManager getTransactionManager()

      Specified by:
        `getTransactionManager` in interface `BatchConfigurer`

    - #### getJobLauncher

          public JobLauncher getJobLauncher()

      Specified by:
        `getJobLauncher` in interface `BatchConfigurer`

    - #### getJobExplorer

          public JobExplorer getJobExplorer()

      Specified by:
        `getJobExplorer` in interface `BatchConfigurer`

    - #### initialize

          @PostConstruct
          public void initialize()

    - #### createJobRepository

          protected JobRepository createJobRepository()
                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`